# Exports

{% hint style="danger" %}
*BetterFight Evolved offers a comprehensive set of exports for customizing and integrating its features. For enhanced security, <mark style="color:red;">it is strongly recommended to rename these exports</mark>, which can be done easily as they trigger internal functions, maintaining functionality regardless of the export name. This design allows server administrators to protect against potential exploitation while retaining full access to BFE's powerful customization options.*
{% endhint %}

## Recoil System Exports

{% tabs %}
{% tab title="GetWeaponRecoil" %} <mark style="color:orange;">**CLIENT**</mark>

This function returns the current recoil value of the specified weapon.

```lua
local recoilData = exports['cis_BetterFightEvolved']:GetWeaponRecoil(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}

{% tab title="SetWeaponRecoil" %} <mark style="color:orange;">**CLIENT**</mark>

This function stores a custom recoil multiplier for the specified weapon. This multiplier is applied on top of the base recoil configuration when the weapon is fired.

```lua
exports['cis_BetterFightEvolved']:SetWeaponRecoil(GetHashKey('WEAPON_PISTOL'), 1.5)
```

{% endtab %}

{% tab title="ResetWeaponRecoil" %} <mark style="color:orange;">**CLIENT**</mark>

This function removes any custom recoil multiplier set for the specified weapon, reverting it to use the default configuration.

```lua
exports['cis_BetterFightEvolved']:ResetWeaponRecoil(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="MultiplyGeneralRecoil" %} <mark style="color:orange;">**CLIENT**</mark>

This function sets a global recoil multiplier that affects all weapons. It's applied in addition to weapon-specific settings.

```lua
exports['cis_BetterFightEvolved']:MultiplyGeneralRecoil(1.2) -- Increases all recoil by 20%
```

{% endtab %}

{% tab title="ResetGeneralRecoil" %} <mark style="color:orange;">**CLIENT**</mark>

This function removes any global recoil multiplier, setting it back to the default value of 1.00.

```lua
exports['cis_BetterFightEvolved']:ResetGeneralRecoil()
```

{% endtab %}
{% endtabs %}

***

## Temperature System Exports

{% tabs %}
{% tab title="GetWeaponTemperature" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current temperature of a specific weapon.

```lua
local temp = exports['cis_BetterFightEvolved']:GetWeaponTemperature(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}

{% tab title="SetWeaponTemperature" %} <mark style="color:orange;">**CLIENT**</mark>

Sets the temperature of a specific weapon.

```lua
exports['cis_BetterFightEvolved']:SetWeaponTemperature(GetHashKey('WEAPON_PISTOL'), 50.0)
```

{% endtab %}

{% tab title="ResetWeaponTemperature" %} <mark style="color:orange;">**CLIENT**</mark>

Resets the temperature of a specific weapon to its default value (0.0).

```lua
exports['cis_BetterFightEvolved']:ResetWeaponTemperature(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="GetWeaponOverheatThreshold" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the overheat threshold for a specific weapon.

```lua
local threshold = exports['cis_BetterFightEvolved']:GetWeaponOverheatThreshold(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}

{% tab title="SetWeaponOverheatThreshold" %} <mark style="color:orange;">**CLIENT**</mark>

Sets the overheat threshold for a specific weapon.

```lua
exports['cis_BetterFightEvolved']:SetWeaponOverheatThreshold(GetHashKey('WEAPON_PISTOL'), 200.0)
```

{% endtab %}

{% tab title="IsWeaponOverheated" %} <mark style="color:orange;">**CLIENT**</mark>

Checks if a specific weapon is currently overheated.

```lua
local isOverheated = exports['cis_BetterFightEvolved']:IsWeaponOverheated(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}

{% tab title="ResetWeaponOverheatThreshold" %} <mark style="color:orange;">**CLIENT**</mark>

Resets the overheat threshold of a specific weapon to its default value.

```lua
exports['cis_BetterFightEvolved']:ResetWeaponOverheatThreshold(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="GetWeaponSmokeLevel" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current smoke level of a specific weapon.

```lua
local smokeLevel = exports['cis_BetterFightEvolved']:GetWeaponSmokeLevel(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}
{% endtabs %}

***

## Crosshair System Exports

{% tabs %}
{% tab title="ToggleCrosshair" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables the crosshair.

```lua
exports['cis_BetterFightEvolved']:ToggleCrosshair(true)  -- Enable crosshair
exports['cis_BetterFightEvolved']:ToggleCrosshair(false) -- Disable crosshair
```

{% endtab %}

{% tab title="GetCrosshairPresets" %} <mark style="color:orange;">**CLIENT**</mark>

Returns all available crosshair presets.

```lua
local presets = exports['cis_BetterFightEvolved']:GetCrosshairPresets()
```

{% endtab %}

{% tab title="SetCrosshairPreset" %} <mark style="color:orange;">**CLIENT**</mark>

Applies a specific crosshair preset.

```lua
exports['cis_BetterFightEvolved']:SetCrosshairPreset('Preset 1')
exports['cis_BetterFightEvolved']:SetCrosshairPreset('Preset 2')
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="GetCrosshairSettings" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current crosshair settings.

```lua
local settings = exports['cis_BetterFightEvolved']:GetCrosshairSettings()
```

{% endtab %}

{% tab title="SetCrosshairSettings" %} <mark style="color:orange;">**CLIENT**</mark>

Applies custom crosshair settings.

```lua
exports['cis_BetterFightEvolved']:SetCrosshairSettings({
    showOuterLines = true,
    outerLineOpacity = 0.5,
    outerLineLength = 6,
    outerLineThickness = 2,
    outerLineOffset = 12,
    showCenterDot = true,
    centerDotSize = 3,
    centerDotOpacity = 1,
    crosshairColor = '#FF0000',
    crosshairOpacity = 1,
    showOutline = true,
    outlineThickness = 1,
    outlineColor = '#000000',
    outlineOpacity = 1,
    centerDotType = 'dot',
    lineType = '4'
})
```

{% endtab %}
{% endtabs %}

***

## Weapon Damage Exports

{% tabs %}
{% tab title="GetWeaponDamage" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current damage multiplier for a specific weapon.

```lua
local damageMultiplier = exports['cis_BetterFightEvolved']:GetWeaponDamage(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}

{% tab title="SetWeaponDamage" %} <mark style="color:orange;">**CLIENT**</mark>

Sets a custom damage multiplier for a specific weapon.

```lua
local damageMultiplier = exports['cis_BetterFightEvolved']:SetWeaponDamage(GetHashKey('WEAPON_PISTOL', 0.8))
```

{% endtab %}

{% tab title="ResetWeaponDamage" %} <mark style="color:orange;">**CLIENT**</mark>

Resets the damage multiplier of a specific weapon to its default value.

```lua
local damageMultiplier = exports['cis_BetterFightEvolved']:ResetWeaponDamage(GetHashKey('WEAPON_PISTOL'))
```

{% endtab %}
{% endtabs %}

***

## Triggerbot Exports

{% tabs %}
{% tab title="ToggleTriggerBot" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables the triggerbot feature.

```lua
exports['cis_BetterFightEvolved']:ToggleTriggerBot(true)  -- Enable triggerbot
exports['cis_BetterFightEvolved']:ToggleTriggerBot(false) -- Disable triggerbot
```

{% endtab %}

{% tab title="GetTriggerBotStatus" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current status and settings of the triggerbot.

```lua
local triggerBotStatus = exports['cis_BetterFightEvolved']:GetTriggerBotStatus()
```

{% endtab %}

{% tab title="SetTriggerBotMaxRange" %} <mark style="color:orange;">**CLIENT**</mark>

Sets the maximum range for the triggerbot.

```lua
exports['cis_BetterFightEvolved']:SetTriggerBotMaxRange(50.0)
```

{% endtab %}

{% tab title="SetTriggerBotRefreshRate" %} <mark style="color:orange;">**CLIENT**</mark>

Sets the refresh rate for the triggerbot.

```lua
exports['cis_BetterFightEvolved']:SetTriggerBotRefreshRate(100)
```

{% endtab %}
{% endtabs %}

***

## Remove Whipping Exports

{% tabs %}
{% tab title="ToggleRemoveWhipping" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables the removal of weapon whipping animations.

```lua
exports['cis_BetterFightEvolved']:ToggleRemoveWhipping(true)  -- Enable removal
exports['cis_BetterFightEvolved']:ToggleRemoveWhipping(false) -- Disable removal
```

{% endtab %}

{% tab title="GetRemoveWhippingStatus" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables the removal of weapon whipping animations.

```lua
local whippingStatus = exports['cis_BetterFightEvolved']:GetRemoveWhippingStatus()
```

{% endtab %}
{% endtabs %}

***

## Headshot Removal

{% tabs %}
{% tab title="ToggleHeadshotRemoval" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables player's headshot removal.

```lua
exports['cis_BetterFightEvolved']:ToggleHeadshotRemoval(true)  -- Enable prevention
exports['cis_BetterFightEvolved']:ToggleHeadshotRemoval(false) -- Disable prevention
```

{% endtab %}

{% tab title="GetHeadshotRemovalStatus" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current status of headshot removal.

```lua
local haedshotRemovalStatus = exports['cis_BetterFightEvolved']:GetHeadshotRemovalStatus()
```

{% endtab %}
{% endtabs %}

***

## Melee OneShot Prevention

Enables or disables prevention of one-shot melee kills.

{% tabs %}
{% tab title="ToggleMeleeOneShotPrevention" %} <mark style="color:orange;">**CLIENT**</mark>

Enables or disables prevention of one-shot melee kills.

```lua
exports['cis_BetterFightEvolved']:ToggleMeleeOneShotPrevention(true)  -- Enable prevention
exports['cis_BetterFightEvolved']:ToggleMeleeOneShotPrevention(false) -- Disable prevention
```

{% endtab %}

{% tab title="GetMeleeOneShotPreventionStatus" %} <mark style="color:orange;">**CLIENT**</mark>

Returns the current status of melee one-shot prevention.

```lua
local meleePreventionStatus = exports['cis_BetterFightEvolved']:GetMeleeOneShotPreventionStatus()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cisoko.net/betterfight-evolved/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
